/*
 * Copyright (C) 2020 The Dagger Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package example.common;

import java.util.ArrayList;
import java.util.List;
import javax.inject.Inject;
import javax.inject.Singleton;

/** A logger to logs steps while brewing coffee. */
@Singleton
public final class CoffeeLogger {
  private final List<String> logs = new ArrayList<>();

  @Inject
  CoffeeLogger() {}

  public void log(String msg) {
    logs.add(msg);
  }

  public List<String> logs() {
    return new ArrayList<>(logs);
  }
}
